package mg.dot.feufaro.midi

import mg.dot.feufaro.FileRepository

expect class MidiWriterKotlin(fileRepository: FileRepository) {
    fun addNote( voiceNumber: Int, note: Int, velocity: Int, tick: Long)
    fun save(filePath: String)
    fun addMetaMessage(type: Int, tick: Int, nbData: Int, metaByteString: String)
    fun process(pitches: List<MidiPitch>)
}